module VomiCore

  # Configurations of Vomi
  class VomiConfig

    # common and basic cli options
    attr_accessor :common

    # Vomi internal configs
    attr_accessor :vomi_internal

    # Load default configs
    def initialize

      @common = {
          current_dir: nil
      }

      @vomi_internal = {
          # terminal related
          terminal: {
              true_color?: false
          },

          # logging
          log: {
              enabled?: true,
              output_dir: nil
          }
      }

    end

  end

end